Get directory
curl --request GET \
--url https://api.gcore.com/streaming/directories/{directory_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/streaming/directories/{directory_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/directories/{directory_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"directory": {
"id": 100,
"name": "New series",
"parent_id": null,
"items_count": 2,
"created_at": "2024-07-01T18:00:00Z",
"updated_at": "2024-07-01T18:00:00Z",
"items": [
{
"id": 101,
"item_type": "Directory",
"name": "New series, Season 1",
"parent_id": 100,
"items_count": 12,
"created_at": "2024-07-01T18:10:00Z",
"updated_at": "2024-07-01T18:10:00Z"
},
{
"id": 4734454,
"name": "Season 1, Official Trailer 2024",
"item_type": "Video",
"slug": "2Y20240219074738"
}
]
}
}Directories
Get directory
Complete directory structure with contents. The structure contains both subfolders and videos in a continuous list.
GET
/
streaming
/
directories
/
{directory_id}
Get directory
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Directory ID
Response
200 - application/json
Successful
Show child attributes
Show child attributes
Example:
{
"id": 100,
"name": "New series",
"parent_id": null,
"items_count": 2,
"created_at": "2024-07-01T18:00:00Z",
"updated_at": "2024-07-01T18:00:00Z"
}
Was this page helpful?
⌘I